VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros
aaxlibrary.cpp File Reference
`#include "AAX_Atomic.h"`
`#include "../Interfaces/ACF/CACFClassFactory.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CACFUnknown.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CChunkDataParser.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CEffectDirectData.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CEffectGUI.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CEffectParameters.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CHostProcessor.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CHostServices.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CMutex.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CPacketDispatcher.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CParameter.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CParameterManager.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CString.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CUIDs.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_CommonConversions.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_IEffectDirectData.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_IEffectGUI.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_IEffectParameters.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_IHostProcessor.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_Init.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_Properties.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VAutomationDelegate.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VCollection.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VComponentDescriptor.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VController.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VDescriptionHost.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VEffectDescriptor.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VFeatureInfo.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VHostProcessorDelegate.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VHostServices.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VPageTable.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VPrivateDataAccess.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VPropertyMap.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VTransport.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_VViewContainer.cpp"`
`#include "../Libs/AAXLibrary/source/AAX_SliderConversions.cpp"`

## Macros
#define | I18N_LIB 1
#define | PLUGIN_SDK_BUILD 1
#define | DPA_PLUGIN_BUILD 1
#define | INITACFIDS
#define | UNICODE 1

## Macro Definition Documentation

#define I18N_LIB 1

#define PLUGIN_SDK_BUILD 1

#define DPA_PLUGIN_BUILD 1

#define INITACFIDS

#define UNICODE 1

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.